Bug 1730711 (ptxdist) - Review Request: ptxdist - Professional Embedded Linux Made Easy
Summary: Review Request: ptxdist - Professional Embedded Linux Made Easy
Keywords:
Status: CLOSED NOTABUG
Alias: ptxdist
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2019-07-17 12:38 UTC by Björn 'besser82' Esser
Modified: 2020-08-18 00:45 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-08-18 00:45:24 UTC
Type: ---


Attachments (Terms of Use)

Description Björn 'besser82' Esser 2019-07-17 12:38:11 UTC
Description:

  PTXdist is a build system for firmware images.  It is developed
  by an Open Source Community including Pengutronix since 2001.
  The configuration system Kconfig, known from the Linux kernel,
  is used to select and configure each package.  The collection
  of recipes is based on GNU Make and Bash.


Issues:

  fedora-review shows no obvious issues.
  rpmlint rants about some (needed, but empty or hidden) files.


FAS-User:

  besser82


Urls:

  Spec URL:  https://pagure.io/besser82/package-review/raw/master/f/ptxdist.spec
  SRPM URL:  https://pagure.io/besser82/package-review/raw/master/f/ptxdist-2019.07.0-0.1.fc31.src.rpm


Temporary COPR for testing:

  https://copr.fedorainfracloud.org/coprs/besser82/ptxdist


Thanks for review in advance!

Comment 1 Björn 'besser82' Esser 2019-07-17 12:39:53 UTC
Scratch build:

  https://koji.fedoraproject.org/koji/taskinfo?taskID=36299199

Comment 2 Robert-André Mauchin 🐧 2019-07-17 18:11:12 UTC
 - Use macros

Source0:        https://public.pengutronix.de/software/ptxdist/ptxdist-%{version}.tar.bz2

 - BuildRequires:  python2-devel

Python 2 is now obsoleted, you need an FPC exception to depend on it.

Comment 3 Björn 'besser82' Esser 2019-07-18 05:55:55 UTC
(In reply to Robert-André Mauchin from comment #2)
>  - Use macros
> 
> Source0:       
> https://public.pengutronix.de/software/ptxdist/ptxdist-%{version}.tar.bz2

Fixed.  I overlooked to change that before I uploaded the package.


>  - BuildRequires:  python2-devel
> 
> Python 2 is now obsoleted, you need an FPC exception to depend on it.

If you refer to this [1], I suppose it will be needed for fc32+.  I cannot find any guideline that enforces an exception during the current development cycle.  Anyways, I've filed a ticket [2] with FESCo for such an exception.


[1]  https://fedoraproject.org/wiki/Changes/RetirePython2#FESCo_exceptions
[2]  https://pagure.io/fesco/issue/2179

***

Updated package:

Changelog:

  * Thu Jul 18 2019 Björn Esser <besser82@fedoraproject.org> - 2019.07.0-0.2
  - Several spec file improvements


Scratch build:

  https://koji.fedoraproject.org/koji/taskinfo?taskID=36316313


Urls:

  Spec URL:  https://pagure.io/besser82/package-review/raw/master/f/ptxdist.spec
  SRPM URL:  https://pagure.io/besser82/package-review/raw/master/f/ptxdist-2019.07.0-0.2.fc31.src.rpm

Comment 4 Miro Hrončok 2019-07-18 06:40:47 UTC
There is no python27-devel, just python27.

You need an exception to package something for Python 2 since Fedora 30, because it is already against the guidelines: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/

You *also* need an exception to keep the package in Fedora 32 once it is branched because of Python 2 retirement: https://fedoraproject.org/wiki/Changes/RetirePython2#FESCo_exceptions

Comment 5 Package Review 2020-07-18 00:45:28 UTC
This is an automatic check from review-stats script.

This review request ticket hasn't been updated for some time. We're sorry
it is taking so long. If you're still interested in packaging this software
into Fedora repositories, please respond to this comment clearing the
NEEDINFO flag.

You may want to update the specfile and the src.rpm to the latest version
available and to propose a review swap on Fedora devel mailing list to increase
chances to have your package reviewed. If this is your first package and you
need a sponsor, you may want to post some informal reviews. Read more at
https://fedoraproject.org/wiki/How_to_get_sponsored_into_the_packager_group.

Without any reply, this request will shortly be considered abandoned
and will be closed.
Thank you for your patience.

Comment 6 Package Review 2020-08-18 00:45:24 UTC
This is an automatic action taken by review-stats script.

The ticket submitter failed to clear the NEEDINFO flag in a month.
As per https://fedoraproject.org/wiki/Policy_for_stalled_package_reviews
we consider this ticket as DEADREVIEW and proceed to close it.


Note You need to log in before you can comment on or make changes to this bug.